При обновлении программ на ПК диспетчера пропала ПГС с КИО

Материал из TekonWiki
Перейти к: навигация, поиск


Внимание! Положения данной статьи относятся только к КИО, выпущенными до 2010, и не решают проблемы с ПГС с устройствами КИО-8(4).



В данном разделе рассматриваются причины прекращения нормальной работы ПГС (абонент-диспетчер) в результате обновления программного обеспечения на ПК диспетчера или на КИО (или не работа ПГС при добавление нового КИО в существующую конфигурацию).

Следует отметить, новые концентраторы типа КУН-2Д корректно работают только с программой WinAl версии 871 и выше! Это может быть одной из причин необходимости обновления программы на ПК диспетчера (и явиться причиной пропадания ПГС с подключенными КИО).

За функционирование ПГС отвечает динамическая библиотека sml32.dll (h323.dll) находящаяся в папке "С:\1alarm", как на КИО, так и на ПК диспетчера.

Важно, чтобы версия библиотеки была идентична. Для просмотра версии необходимо выбрать файл sml32.dll, нажать правую кнопку мыши и открыть вкладку версия.

В настоящее время для поддержки ПГС на ПК диспетчера и КИО должны быть установлены файлы (обновляются в паре):

  • SML32.DLL версия: 8.4.3257.24918 (от 01.12.2008);
  • H323.DLL версия: 4.4.3257.24918 (от 01.12.2008).

Для обновления библиотек на ПК диспетчера следует выйти из программы WinAlarm и выполнить копирование новых файлов в рабочую папку C:\1alarm.

Для обновления библиотек на КИО следует подключить к КИО монитор, клавиатуру и мышь (или воспользоваться программами TestKIO и VNCViewer). Далее следует остановить службу Windows (Пуск\Панель управления\Администрирование\Службы) IPTelephonyServer, скопировать файлы sml32.dll и h323.dll и после этого снова запустить службу.

Внимание! Если обновление библиотек происходит на старых КИО (работающих долгое время), может потребоваться замена еще одного файла : smlipsrv.exe

Следует после остановки сервиса (как описано выше) проверить версию файла C:\1alarm\smlipsrv.exe.

Актуальная версия файла 3.2.1.40 от 2007 года (год изменения файла должен быть именно 2007). Если версия отличается от указанной, замените файл, после этого обновите библиотеки и запустите службу.

Загрузить последние версии программного обеспечения можно на странице для зарегистрированных пользователей:

SML32.DLL + H323.DLL

SSMLIPSRV.EXE

--Alex 09:31, 2 апреля 2010 (UTC)